Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Class StandardNames

    java.lang.Object
      net.sf.saxon.om.StandardNames

    public abstract class StandardNames

extends Object

Well-known names used in XSLT processing. These names must all have fingerprints in the range 0-1023, to avoid clashing with codes allocated in a NamePool. We use the top three bits for the namespace, and the bottom seven bits for the local name.

Codes in the range 0-100 are used for standard node kinds such as ELEMENT, DOCUMENT, etc, and for built-in types such as ITEM and EMPTY.

Field Summary
`static String` | `ALPHANUMERIC`
`static String` | `ARCHIVE`
`static String` | `AS`
`static String` | `BYTE_ORDER_MARK`
`static String` | `CASE_ORDER`
`static String` | `CDATA_SECTION_ELEMENTS`
`static String` | `CHARACTER`
`static String` | `CLASS`
`static String` | `COLLATION`
`static String` | `COPY_NAMESPACES`
`static String` | `COUNT`
`static String` | `DATA_TYPE`
`static String` | `DECIMAL_SEPARATOR`
`static String` | `DECOMPOSITION`
`static String` | `DEFAULT`
`static String` | `DEFAULT_COLLATION`
`static String` | `DEFAULT_MODE`
`static String` | `DEFAULT_VALIDATION`
`static int` | `DFLT`
`static String` | `DIGIT`
`static String` | `DISABLE_OUTPUT_ESCAPING`
`static String` | `DOCTYPE_PUBLIC`
`static String` | `DOCTYPE_SYSTEM`
`static String` | `ELEMENTS`
`static String` | `ENCODING`
`static String` | `ESCAPE_URI_ATTRIBUTES`
`static String` | `EXCLUDE_RESULT_PREFIXES`
`static String` | `EXTENSION_ELEMENT_PREFIXES`
`static String` | `FLAGS`
`static String` | `FORMAT`
`static String` | `FROM`
`static String` | `GROUP_ADJACENT`
`static String` | `GROUP_BY`
`static String` | `GROUP_ENDING_WITH`
`static String` | `GROUP_STARTING_WITH`
`static String` | `GROUPING_SEPARATOR`
`static String` | `GROUPING_SIZE`
`static String` | `HREF`
`static String` | `ID`
`static String` | `IGNORE_CASE`
`static String` | `IGNORE_MODIFIERS`
`static String` | `IGNORE_SYMBOLS`
`static String` | `IGNORE_WIDTH`
`static String` | `IMPLEMENTS_PREFIX`
`static String` | `INCLUDE_CONTENT_TYPE`
`static String` | `INDENT`
`static String` | `INFINITY`
`static String` | `INHERIT_NAMESPACES`
`static String` | `INPUT_TYPE_ANNOTATIONS`
`static String` | `LANG`
`static String` | `LANGUAGE`
`static String` | `LETTER_VALUE`
`static String` | `LEVEL`
`static String` | `MATCH`
`static String` | `MEDIA_TYPE`
`static String` | `METHOD`
`static String` | `MINUS_SIGN`
`static String` | `MODE`
`static String` | `NAME`
`static String` | `NAMESPACE`
`static String` | `NAN`
`static String` | `NORMALIZATION_FORM`
`static String` | `OMIT_XML_DECLARATION`
`static String` | `ON_MULTIPLE_MATCH`
`static String` | `ON_NO_MATCH`
`static String` | `ORDER`
`static String` | `ORDINAL`
`static String` | `OUTPUT_VERSION`
`static String` | `OVERRIDE`
`static String` | `PATTERN_SEPARATOR`
`static String` | `PER_MILLE`
`static String` | `PERCENT`
`static String` | `PRIORITY`
`static String` | `REGEX`
`static String` | `REQUIRED`
`static String` | `RESULT_PREFIX`
`static String` | `RULES`
`static int` | `SAXON`
`static int` | `SAXON_ASSIGN`
`static String` | `SAXON_ASSIGNABLE`
`static int` | `SAXON_CALL_TEMPLATE`
`static int` | `SAXON_CATCH`
`static String` | `SAXON_CHARACTER_REPRESENTATION`
`static int` | `SAXON_COLLATION`
`static int` | `SAXON_DOCTYPE`
`static String` | `SAXON_DOUBLE_SPACE`
`static int` | `SAXON_ENTITY_REF`
`static String` | `SAXON_EXPLAIN`
`static int` | `SAXON_IMPORT_QUERY`
`static String` | `SAXON_INDENT_SPACES`
`static int` | `SAXON_JAVA_LANG_OBJECT`
`static String` | `SAXON_LINE_LENGTH`
`static String` | `SAXON_MEMO_FUNCTION`
`static String` | `SAXON_NEXT_IN_CHAIN`
`static int` | `SAXON_PARAM`
`static int` | `SAXON_PREPROCESS`
`static String` | `SAXON_READ_ONCE`
`static String` | `SAXON_RECOGNIZE_BINARY`
`static String` | `SAXON_REQUIRE_WELL_FORMED`
`static int` | `SAXON_SCRIPT`
`static String` | `SAXON_SUPPRESS_INDENTATION`
`static String` | `SAXON_THREADS`
`static int` | `SAXON_TRY`
`static int` | `SAXON_WHILE`
`static String` | `SCHEMA_LOCATION`
`static int` | `SCM`
`static int` | `SCM_ANNOTATION`
`static int` | `SCM_ATTRIBUTE_DECLARATION`
`static int` | `SCM_ATTRIBUTE_GROUP_DECLARATION`
`static int` | `SCM_COMPLEX_TYPE_DEFINITION`
`static int` | `SCM_ELEMENT_DECLARATION`
`static int` | `SCM_MODEL_GROUP_DECLARATION`
`static int` | `SCM_NAME`
`static int` | `SCM_NOTATION_DECLARATION`
`static int` | `SCM_SCHEMA`
`static int` | `SCM_SIMPLE_TYPE_DEFINITION`
`static int` | `SCM_TARGET_NAMESPACE`
`static String` | `SELECT`
`static String` | `SEPARATOR`
`static String` | `SRC`
`static String` | `STABLE`
`static String` | `STANDALONE`
`static String` | `STREAMABLE`
`static String` | `STRENGTH`
`static String` | `STRING`
`static String` | `STYLESHEET_PREFIX`
`static String` | `TERMINATE`
`static String` | `TEST`
`static String` | `TUNNEL`
`static String` | `TYPE`
`static String` | `UNDECLARE_PREFIXES`
`static String` | `USE`
`static String` | `USE_ATTRIBUTE_SETS`
`static String` | `USE_CHARACTER_MAPS`
`static String` | `USE_WHEN`
`static String` | `VALIDATION`
`static String` | `VALUE`
`static String` | `VERSION`
`static String` | `WARNING_ON_MULTIPLE_MATCH`
`static String` | `WARNING_ON_NO_MATCH`
`static int` | `XML`
`static int` | `XML_BASE`
`static int` | `XML_ID`
`static NodeName` | `XML_ID_NAME`
`static int` | `XML_LANG`
`static int` | `XML_LANG_TYPE`
`static int` | `XML_SPACE`
`static String` | `XPATH_DEFAULT_NAMESPACE`
`static int` | `XS`
`static int` | `XS_ALL`
`static int` | `XS_ALTERNATIVE`
`static int` | `XS_ANNOTATION`
`static int` | `XS_ANY`
`static int` | `XS_ANY_ATOMIC_TYPE`
`static int` | `XS_ANY_ATTRIBUTE`
`static int` | `XS_ANY_SIMPLE_TYPE`
`static int` | `XS_ANY_TYPE`
`static int` | `XS_ANY_URI`
`static int` | `XS_APPINFO`
`static int` | `XS_ASSERT`
`static int` | `XS_ASSERTION`
`static int` | `XS_ATTRIBUTE`
`static int` | `XS_ATTRIBUTE_GROUP`
`static int` | `XS_BASE64_BINARY`
`static int` | `XS_BOOLEAN`
`static int` | `XS_BYTE`
`static int` | `XS_CHOICE`
`static int` | `XS_COMPLEX_CONTENT`
`static int` | `XS_COMPLEX_TYPE`
`static int` | `XS_DATE`
`static int` | `XS_DATE_TIME`
`static int` | `XS_DATE_TIME_STAMP`
`static int` | `XS_DAY_TIME_DURATION`
`static int` | `XS_DECIMAL`
`static int` | `XS_DEFAULT_OPEN_CONTENT`
`static int` | `XS_DOCUMENTATION`
`static int` | `XS_DOUBLE`
`static int` | `XS_DURATION`
`static int` | `XS_ELEMENT`
`static int` | `XS_ENTITIES`
`static int` | `XS_ENTITY`
`static int` | `XS_ENUMERATION`
`static int` | `XS_ERROR`
`static int` | `XS_EXPLICIT_TIMEZONE`
`static int` | `XS_EXTENSION`
`static int` | `XS_FIELD`
`static int` | `XS_FLOAT`
`static int` | `XS_FRACTION_DIGITS`
`static int` | `XS_G_DAY`
`static int` | `XS_G_MONTH`
`static int` | `XS_G_MONTH_DAY`
`static int` | `XS_G_YEAR`
`static int` | `XS_G_YEAR_MONTH`
`static int` | `XS_GROUP`
`static int` | `XS_HEX_BINARY`
`static int` | `XS_ID`
`static int` | `XS_IDREF`
`static int` | `XS_IDREFS`
`static int` | `XS_IMPORT`
`static int` | `XS_INCLUDE`
`static int` | `XS_INT`
`static int` | `XS_INTEGER`
`static int` | `XS_INVALID_NAME`
`static int` | `XS_KEY`
`static int` | `XS_KEYREF`
`static int` | `XS_LANGUAGE`
`static int` | `XS_LENGTH`
`static int` | `XS_LIST`
`static int` | `XS_LONG`
`static int` | `XS_MAX_EXCLUSIVE`
`static int` | `XS_MAX_INCLUSIVE`
`static int` | `XS_MAX_LENGTH`
`static int` | `XS_MAX_SCALE`
`static int` | `XS_MIN_EXCLUSIVE`
`static int` | `XS_MIN_INCLUSIVE`
`static int` | `XS_MIN_LENGTH`
`static int` | `XS_MIN_SCALE`
`static int` | `XS_NAME`
`static int` | `XS_NCNAME`
`static int` | `XS_NEGATIVE_INTEGER`
`static int` | `XS_NMTOKEN`
`static int` | `XS_NMTOKENS`
`static int` | `XS_NON_NEGATIVE_INTEGER`
`static int` | `XS_NON_POSITIVE_INTEGER`
`static int` | `XS_NORMALIZED_STRING`
`static int` | `XS_notation`
`static int` | `XS_NOTATION`
`static int` | `XS_NUMERIC`
`static int` | `XS_OPEN_CONTENT`
`static int` | `XS_OVERRIDE`
`static int` | `XS_PATTERN`
`static int` | `XS_POSITIVE_INTEGER`
`static int` | `XS_QNAME`
`static int` | `XS_REDEFINE`
`static int` | `XS_RESTRICTION`
`static int` | `XS_SCHEMA`
`static int` | `XS_SELECTOR`
`static int` | `XS_SEQUENCE`
`static int` | `XS_SHORT`
`static int` | `XS_SIMPLE_CONTENT`
`static int` | `XS_SIMPLE_TYPE`
`static int` | `XS_STRING`
`static int` | `XS_TIME`
`static int` | `XS_TOKEN`
`static int` | `XS_TOTAL_DIGITS`
`static int` | `XS_UNION`
`static int` | `XS_UNIQUE`
`static int` | `XS_UNSIGNED_BYTE`
`static int` | `XS_UNSIGNED_INT`
`static int` | `XS_UNSIGNED_LONG`
`static int` | `XS_UNSIGNED_SHORT`
`static int` | `XS_UNTYPED`
`static int` | `XS_UNTYPED_ATOMIC`
`static int` | `XS_WHITE_SPACE`
`static int` | `XS_YEAR_MONTH_DURATION`
`static int` | `XSI`
`static int` | `XSI_NIL`
`static int` | `XSI_NO_NAMESPACE_SCHEMA_LOCATION`
`static int` | `XSI_SCHEMA_LOCATION`
`static int` | `XSI_SCHEMA_LOCATION_TYPE`
`static int` | `XSI_TYPE`
`static int` | `XSL`
`static int` | `XSL_ANALYZE_STRING`
`static int` | `XSL_APPLY_IMPORTS`
`static int` | `XSL_APPLY_TEMPLATES`
`static int` | `XSL_ATTRIBUTE`
`static int` | `XSL_ATTRIBUTE_SET`
`static int` | `XSL_BREAK`
`static int` | `XSL_CALL_TEMPLATE`
`static int` | `XSL_CATCH`
`static int` | `XSL_CHARACTER_MAP`
`static int` | `XSL_CHOOSE`
`static int` | `XSL_COMMENT`
`static int` | `XSL_COPY`
`static int` | `XSL_COPY_OF`
`static int` | `XSL_DECIMAL_FORMAT`
`static int` | `XSL_DEFAULT_COLLATION`
`static int` | `XSL_DOCUMENT`
`static int` | `XSL_ELEMENT`
`static int` | `XSL_EVALUATE`
`static int` | `XSL_EXCLUDE_RESULT_PREFIXES`
`static int` | `XSL_EXTENSION_ELEMENT_PREFIXES`
`static int` | `XSL_FALLBACK`
`static int` | `XSL_FOR_EACH`
`static int` | `XSL_FOR_EACH_GROUP`
`static int` | `XSL_FORK`
`static int` | `XSL_FUNCTION`
`static int` | `XSL_IF`
`static int` | `XSL_IMPORT`
`static int` | `XSL_IMPORT_SCHEMA`
`static int` | `XSL_INCLUDE`
`static int` | `XSL_INHERIT_NAMESPACES`
`static int` | `XSL_ITERATE`
`static int` | `XSL_KEY`
`static int` | `XSL_MATCHING_SUBSTRING`
`static int` | `XSL_MERGE`
`static int` | `XSL_MERGE_ACTION`
`static int` | `XSL_MERGE_INPUT`
`static int` | `XSL_MERGE_KEY`
`static int` | `XSL_MERGE_SOURCE`
`static int` | `XSL_MESSAGE`
`static int` | `XSL_MODE`
`static int` | `XSL_NAMESPACE`
`static int` | `XSL_NAMESPACE_ALIAS`
`static int` | `XSL_NEXT_ITERATION`
`static int` | `XSL_NEXT_MATCH`
`static int` | `XSL_NON_MATCHING_SUBSTRING`
`static int` | `XSL_NUMBER`
`static int` | `XSL_ON_COMPLETION`
`static int` | `XSL_OTHERWISE`
`static int` | `XSL_OUTPUT`
`static int` | `XSL_OUTPUT_CHARACTER`
`static int` | `XSL_PARAM`
`static int` | `XSL_PERFORM_SORT`
`static int` | `XSL_PRESERVE_SPACE`
`static int` | `XSL_PROCESSING_INSTRUCTION`
`static int` | `XSL_RESULT_DOCUMENT`
`static int` | `XSL_SEQUENCE`
`static int` | `XSL_SORT`
`static int` | `XSL_STRIP_SPACE`
`static int` | `XSL_STYLESHEET`
`static int` | `XSL_TEMPLATE`
`static int` | `XSL_TEXT`
`static int` | `XSL_TRANSFORM`
`static int` | `XSL_TRY`
`static int` | `XSL_TYPE`
`static int` | `XSL_USE_ATTRIBUTE_SETS`
`static int` | `XSL_USE_WHEN`
`static int` | `XSL_VALIDATION`
`static int` | `XSL_VALUE_OF`
`static int` | `XSL_VARIABLE`
`static int` | `XSL_VERSION`
`static int` | `XSL_WHEN`
`static int` | `XSL_WITH_PARAM`
`static int` | `XSL_XPATH_DEFAULT_NAMESPACE`
`static String` | `XSL_XPATH_DEFAULT_NAMESPACE_CLARK`
`static String` | `ZERO_DIGIT`

Method Summary
`static String` | `getClarkName(int fingerprint)` Get the Clark form of a system-defined name, given its name code or fingerprint
`static String` | `getDisplayName(int fingerprint)` Get the lexical display form of a system-defined name
`static int` | `getFingerprint(String uri, String localName)` Get the fingerprint of a system-defined name, from its URI and local name
`static String` | `getLocalName(int fingerprint)` Get the local part of a system-defined name
`static String` | `getPrefix(int fingerprint)` Get the conventional prefix of a system-defined name
`static StructuredQName` | `getStructuredQName(int fingerprint)` Get a StructuredQName representing a system-defined name
`static String` | `getURI(int fingerprint)` Get the namespace URI part of a system-defined name
`static short` | `getURICode(int fingerprint)` Get the namespace URI part of a system-defined name as a URI code

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DFLT

    public static final int DFLT

See Also:
  Constant Field Values

### XSL

    public static final int XSL

See Also:
  Constant Field Values

### SAXON

    public static final int SAXON

See Also:
  Constant Field Values

### XML

    public static final int XML

See Also:
  Constant Field Values

### XS

    public static final int XS

See Also:
  Constant Field Values

### XSI

    public static final int XSI

See Also:
  Constant Field Values

### SCM

    public static final int SCM

See Also:
  Constant Field Values

### XSL_ANALYZE_STRING

    public static final int XSL_ANALYZE_STRING

See Also:
  Constant Field Values

### XSL_APPLY_IMPORTS

    public static final int XSL_APPLY_IMPORTS

See Also:
  Constant Field Values

### XSL_APPLY_TEMPLATES

    public static final int XSL_APPLY_TEMPLATES

See Also:
  Constant Field Values

### XSL_ATTRIBUTE

    public static final int XSL_ATTRIBUTE

See Also:
  Constant Field Values

### XSL_ATTRIBUTE_SET

    public static final int XSL_ATTRIBUTE_SET

See Also:
  Constant Field Values

### XSL_BREAK

    public static final int XSL_BREAK

See Also:
  Constant Field Values

### XSL_CALL_TEMPLATE

    public static final int XSL_CALL_TEMPLATE

See Also:
  Constant Field Values

### XSL_CATCH

    public static final int XSL_CATCH

See Also:
  Constant Field Values

### XSL_CHARACTER_MAP

    public static final int XSL_CHARACTER_MAP

See Also:
  Constant Field Values

### XSL_CHOOSE

    public static final int XSL_CHOOSE

See Also:
  Constant Field Values

### XSL_COMMENT

    public static final int XSL_COMMENT

See Also:
  Constant Field Values

### XSL_COPY

    public static final int XSL_COPY

See Also:
  Constant Field Values

### XSL_COPY_OF

    public static final int XSL_COPY_OF

See Also:
  Constant Field Values

### XSL_DECIMAL_FORMAT

    public static final int XSL_DECIMAL_FORMAT

See Also:
  Constant Field Values

### XSL_DOCUMENT

    public static final int XSL_DOCUMENT

See Also:
  Constant Field Values

### XSL_ELEMENT

    public static final int XSL_ELEMENT

See Also:
  Constant Field Values

### XSL_EVALUATE

    public static final int XSL_EVALUATE

See Also:
  Constant Field Values

### XSL_FALLBACK

    public static final int XSL_FALLBACK

See Also:
  Constant Field Values

### XSL_FOR_EACH

    public static final int XSL_FOR_EACH

See Also:
  Constant Field Values

### XSL_FORK

    public static final int XSL_FORK

See Also:
  Constant Field Values

### XSL_FOR_EACH_GROUP

    public static final int XSL_FOR_EACH_GROUP

See Also:
  Constant Field Values

### XSL_FUNCTION

    public static final int XSL_FUNCTION

See Also:
  Constant Field Values

### XSL_IF

    public static final int XSL_IF

See Also:
  Constant Field Values

### XSL_IMPORT

    public static final int XSL_IMPORT

See Also:
  Constant Field Values

### XSL_IMPORT_SCHEMA

    public static final int XSL_IMPORT_SCHEMA

See Also:
  Constant Field Values

### XSL_INCLUDE

    public static final int XSL_INCLUDE

See Also:
  Constant Field Values

### XSL_ITERATE

    public static final int XSL_ITERATE

See Also:
  Constant Field Values

### XSL_KEY

    public static final int XSL_KEY

See Also:
  Constant Field Values

### XSL_MATCHING_SUBSTRING

    public static final int XSL_MATCHING_SUBSTRING

See Also:
  Constant Field Values

### XSL_MERGE

    public static final int XSL_MERGE

See Also:
  Constant Field Values

### XSL_MERGE_ACTION

    public static final int XSL_MERGE_ACTION

See Also:
  Constant Field Values

### XSL_MERGE_INPUT

    public static final int XSL_MERGE_INPUT

See Also:
  Constant Field Values

### XSL_MERGE_KEY

    public static final int XSL_MERGE_KEY

See Also:
  Constant Field Values

### XSL_MERGE_SOURCE

    public static final int XSL_MERGE_SOURCE

See Also:
  Constant Field Values

### XSL_MESSAGE

    public static final int XSL_MESSAGE

See Also:
  Constant Field Values

### XSL_MODE

    public static final int XSL_MODE

See Also:
  Constant Field Values

### XSL_NAMESPACE

    public static final int XSL_NAMESPACE

See Also:
  Constant Field Values

### XSL_NAMESPACE_ALIAS

    public static final int XSL_NAMESPACE_ALIAS

See Also:
  Constant Field Values

### XSL_NEXT_ITERATION

    public static final int XSL_NEXT_ITERATION

See Also:
  Constant Field Values

### XSL_NEXT_MATCH

    public static final int XSL_NEXT_MATCH

See Also:
  Constant Field Values

### XSL_NON_MATCHING_SUBSTRING

    public static final int XSL_NON_MATCHING_SUBSTRING

See Also:
  Constant Field Values

### XSL_NUMBER

    public static final int XSL_NUMBER

See Also:
  Constant Field Values

### XSL_OTHERWISE

    public static final int XSL_OTHERWISE

See Also:
  Constant Field Values

### XSL_ON_COMPLETION

    public static final int XSL_ON_COMPLETION

See Also:
  Constant Field Values

### XSL_OUTPUT

    public static final int XSL_OUTPUT

See Also:
  Constant Field Values

### XSL_OUTPUT_CHARACTER

    public static final int XSL_OUTPUT_CHARACTER

See Also:
  Constant Field Values

### XSL_PARAM

    public static final int XSL_PARAM

See Also:
  Constant Field Values

### XSL_PERFORM_SORT

    public static final int XSL_PERFORM_SORT

See Also:
  Constant Field Values

### XSL_PRESERVE_SPACE

    public static final int XSL_PRESERVE_SPACE

See Also:
  Constant Field Values

### XSL_PROCESSING_INSTRUCTION

    public static final int XSL_PROCESSING_INSTRUCTION

See Also:
  Constant Field Values

### XSL_RESULT_DOCUMENT

    public static final int XSL_RESULT_DOCUMENT

See Also:
  Constant Field Values

### XSL_SEQUENCE

    public static final int XSL_SEQUENCE

See Also:
  Constant Field Values

### XSL_SORT

    public static final int XSL_SORT

See Also:
  Constant Field Values

### XSL_STRIP_SPACE

    public static final int XSL_STRIP_SPACE

See Also:
  Constant Field Values

### XSL_STYLESHEET

    public static final int XSL_STYLESHEET

See Also:
  Constant Field Values

### XSL_TEMPLATE

    public static final int XSL_TEMPLATE

See Also:
  Constant Field Values

### XSL_TEXT

    public static final int XSL_TEXT

See Also:
  Constant Field Values

### XSL_TRANSFORM

    public static final int XSL_TRANSFORM

See Also:
  Constant Field Values

### XSL_VALUE_OF

    public static final int XSL_VALUE_OF

See Also:
  Constant Field Values

### XSL_VARIABLE

    public static final int XSL_VARIABLE

See Also:
  Constant Field Values

### XSL_WHEN

    public static final int XSL_WHEN

See Also:
  Constant Field Values

### XSL_WITH_PARAM

    public static final int XSL_WITH_PARAM

See Also:
  Constant Field Values

### XSL_TRY

    public static final int XSL_TRY

See Also:
  Constant Field Values

### XSL_DEFAULT_COLLATION

    public static final int XSL_DEFAULT_COLLATION

See Also:
  Constant Field Values

### XSL_EXCLUDE_RESULT_PREFIXES

    public static final int XSL_EXCLUDE_RESULT_PREFIXES

See Also:
  Constant Field Values

### XSL_EXTENSION_ELEMENT_PREFIXES

    public static final int XSL_EXTENSION_ELEMENT_PREFIXES

See Also:
  Constant Field Values

### XSL_INHERIT_NAMESPACES

    public static final int XSL_INHERIT_NAMESPACES

See Also:
  Constant Field Values

### XSL_TYPE

    public static final int XSL_TYPE

See Also:
  Constant Field Values

### XSL_USE_ATTRIBUTE_SETS

    public static final int XSL_USE_ATTRIBUTE_SETS

See Also:
  Constant Field Values

### XSL_USE_WHEN

    public static final int XSL_USE_WHEN

See Also:
  Constant Field Values

### XSL_VALIDATION

    public static final int XSL_VALIDATION

See Also:
  Constant Field Values

### XSL_VERSION

    public static final int XSL_VERSION

See Also:
  Constant Field Values

### XSL_XPATH_DEFAULT_NAMESPACE

    public static final int XSL_XPATH_DEFAULT_NAMESPACE

See Also:
  Constant Field Values

### XSL_XPATH_DEFAULT_NAMESPACE_CLARK

    public static final String XSL_XPATH_DEFAULT_NAMESPACE_CLARK

See Also:
  Constant Field Values

### SAXON_ASSIGN

    public static final int SAXON_ASSIGN

See Also:
  Constant Field Values

### SAXON_CALL_TEMPLATE

    public static final int SAXON_CALL_TEMPLATE

See Also:
  Constant Field Values

### SAXON_CATCH

    public static final int SAXON_CATCH

See Also:
  Constant Field Values

### SAXON_COLLATION

    public static final int SAXON_COLLATION

See Also:
  Constant Field Values

### SAXON_DOCTYPE

    public static final int SAXON_DOCTYPE

See Also:
  Constant Field Values

### SAXON_ENTITY_REF

    public static final int SAXON_ENTITY_REF

See Also:
  Constant Field Values

### SAXON_IMPORT_QUERY

    public static final int SAXON_IMPORT_QUERY

See Also:
  Constant Field Values

### SAXON_SCRIPT

    public static final int SAXON_SCRIPT

See Also:
  Constant Field Values

### SAXON_TRY

    public static final int SAXON_TRY

See Also:
  Constant Field Values

### SAXON_WHILE

    public static final int SAXON_WHILE

See Also:
  Constant Field Values

### SAXON_PARAM

    public static final int SAXON_PARAM

See Also:
  Constant Field Values

### SAXON_PREPROCESS

    public static final int SAXON_PREPROCESS

See Also:
  Constant Field Values

### SAXON_ASSIGNABLE

    public static final String SAXON_ASSIGNABLE

See Also:
  Constant Field Values

### SAXON_CHARACTER_REPRESENTATION

    public static final String SAXON_CHARACTER_REPRESENTATION

See Also:
  Constant Field Values

### SAXON_DOUBLE_SPACE

    public static final String SAXON_DOUBLE_SPACE

See Also:
  Constant Field Values

### SAXON_EXPLAIN

    public static final String SAXON_EXPLAIN

See Also:
  Constant Field Values

### SAXON_READ_ONCE

    public static final String SAXON_READ_ONCE

See Also:
  Constant Field Values

### SAXON_INDENT_SPACES

    public static final String SAXON_INDENT_SPACES

See Also:
  Constant Field Values

### SAXON_LINE_LENGTH

    public static final String SAXON_LINE_LENGTH

See Also:
  Constant Field Values

### SAXON_NEXT_IN_CHAIN

    public static final String SAXON_NEXT_IN_CHAIN

See Also:
  Constant Field Values

### SAXON_RECOGNIZE_BINARY

    public static final String SAXON_RECOGNIZE_BINARY

See Also:
  Constant Field Values

### SAXON_REQUIRE_WELL_FORMED

    public static final String SAXON_REQUIRE_WELL_FORMED

See Also:
  Constant Field Values

### SAXON_SUPPRESS_INDENTATION

    public static final String SAXON_SUPPRESS_INDENTATION

See Also:
  Constant Field Values

### SAXON_MEMO_FUNCTION

    public static final String SAXON_MEMO_FUNCTION

See Also:
  Constant Field Values

### SAXON_THREADS

    public static final String SAXON_THREADS

See Also:
  Constant Field Values

### SAXON_JAVA_LANG_OBJECT

    public static final int SAXON_JAVA_LANG_OBJECT

See Also:
  Constant Field Values

### XML_BASE

    public static final int XML_BASE

See Also:
  Constant Field Values

### XML_SPACE

    public static final int XML_SPACE

See Also:
  Constant Field Values

### XML_LANG

    public static final int XML_LANG

See Also:
  Constant Field Values

### XML_ID

    public static final int XML_ID

See Also:
  Constant Field Values

### XML_LANG_TYPE

    public static final int XML_LANG_TYPE

See Also:
  Constant Field Values

### XML_ID_NAME

    public static final NodeName XML_ID_NAME

### ALPHANUMERIC

    public static final String ALPHANUMERIC

See Also:
  Constant Field Values

### ARCHIVE

    public static final String ARCHIVE

See Also:
  Constant Field Values

### AS

    public static final String AS

See Also:
  Constant Field Values

### BYTE_ORDER_MARK

    public static final String BYTE_ORDER_MARK

See Also:
  Constant Field Values

### CASE_ORDER

    public static final String CASE_ORDER

See Also:
  Constant Field Values

### CDATA_SECTION_ELEMENTS

    public static final String CDATA_SECTION_ELEMENTS

See Also:
  Constant Field Values

### CHARACTER

    public static final String CHARACTER

See Also:
  Constant Field Values

### CLASS

    public static final String CLASS

See Also:
  Constant Field Values

### COLLATION

    public static final String COLLATION

See Also:
  Constant Field Values

### COPY_NAMESPACES

    public static final String COPY_NAMESPACES

See Also:
  Constant Field Values

### COUNT

    public static final String COUNT

See Also:
  Constant Field Values

### DATA_TYPE

    public static final String DATA_TYPE

See Also:
  Constant Field Values

### DECIMAL_SEPARATOR

    public static final String DECIMAL_SEPARATOR

See Also:
  Constant Field Values

### DECOMPOSITION

    public static final String DECOMPOSITION

See Also:
  Constant Field Values

### DEFAULT

    public static final String DEFAULT

See Also:
  Constant Field Values

### DEFAULT_COLLATION

    public static final String DEFAULT_COLLATION

See Also:
  Constant Field Values

### DEFAULT_MODE

    public static final String DEFAULT_MODE

See Also:
  Constant Field Values

### DEFAULT_VALIDATION

    public static final String DEFAULT_VALIDATION

See Also:
  Constant Field Values

### DIGIT

    public static final String DIGIT

See Also:
  Constant Field Values

### DISABLE_OUTPUT_ESCAPING

    public static final String DISABLE_OUTPUT_ESCAPING

See Also:
  Constant Field Values

### DOCTYPE_PUBLIC

    public static final String DOCTYPE_PUBLIC

See Also:
  Constant Field Values

### DOCTYPE_SYSTEM

    public static final String DOCTYPE_SYSTEM

See Also:
  Constant Field Values

### ELEMENTS

    public static final String ELEMENTS

See Also:
  Constant Field Values

### ESCAPE_URI_ATTRIBUTES

    public static final String ESCAPE_URI_ATTRIBUTES

See Also:
  Constant Field Values

### ENCODING

    public static final String ENCODING

See Also:
  Constant Field Values

### EXCLUDE_RESULT_PREFIXES

    public static final String EXCLUDE_RESULT_PREFIXES

See Also:
  Constant Field Values

### EXTENSION_ELEMENT_PREFIXES

    public static final String EXTENSION_ELEMENT_PREFIXES

See Also:
  Constant Field Values

### FLAGS

    public static final String FLAGS

See Also:
  Constant Field Values

### FORMAT

    public static final String FORMAT

See Also:
  Constant Field Values

### FROM

    public static final String FROM

See Also:
  Constant Field Values

### GROUP_ADJACENT

    public static final String GROUP_ADJACENT

See Also:
  Constant Field Values

### GROUP_BY

    public static final String GROUP_BY

See Also:
  Constant Field Values

### GROUP_ENDING_WITH

    public static final String GROUP_ENDING_WITH

See Also:
  Constant Field Values

### GROUP_STARTING_WITH

    public static final String GROUP_STARTING_WITH

See Also:
  Constant Field Values

### GROUPING_SEPARATOR

    public static final String GROUPING_SEPARATOR

See Also:
  Constant Field Values

### GROUPING_SIZE

    public static final String GROUPING_SIZE

See Also:
  Constant Field Values

### HREF

    public static final String HREF

See Also:
  Constant Field Values

### ID

    public static final String ID

See Also:
  Constant Field Values

### IGNORE_CASE

    public static final String IGNORE_CASE

See Also:
  Constant Field Values

### IGNORE_MODIFIERS

    public static final String IGNORE_MODIFIERS

See Also:
  Constant Field Values

### IGNORE_SYMBOLS

    public static final String IGNORE_SYMBOLS

See Also:
  Constant Field Values

### IGNORE_WIDTH

    public static final String IGNORE_WIDTH

See Also:
  Constant Field Values

### IMPLEMENTS_PREFIX

    public static final String IMPLEMENTS_PREFIX

See Also:
  Constant Field Values

### INCLUDE_CONTENT_TYPE

    public static final String INCLUDE_CONTENT_TYPE

See Also:
  Constant Field Values

### INDENT

    public static final String INDENT

See Also:
  Constant Field Values

### INFINITY

    public static final String INFINITY

See Also:
  Constant Field Values

### INHERIT_NAMESPACES

    public static final String INHERIT_NAMESPACES

See Also:
  Constant Field Values

### INPUT_TYPE_ANNOTATIONS

    public static final String INPUT_TYPE_ANNOTATIONS

See Also:
  Constant Field Values

### LANG

    public static final String LANG

See Also:
  Constant Field Values

### LANGUAGE

    public static final String LANGUAGE

See Also:
  Constant Field Values

### LETTER_VALUE

    public static final String LETTER_VALUE

See Also:
  Constant Field Values

### LEVEL

    public static final String LEVEL

See Also:
  Constant Field Values

### MATCH

    public static final String MATCH

See Also:
  Constant Field Values

### MEDIA_TYPE

    public static final String MEDIA_TYPE

See Also:
  Constant Field Values

### METHOD

    public static final String METHOD

See Also:
  Constant Field Values

### MINUS_SIGN

    public static final String MINUS_SIGN

See Also:
  Constant Field Values

### MODE

    public static final String MODE

See Also:
  Constant Field Values

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### NAMESPACE

    public static final String NAMESPACE

See Also:
  Constant Field Values

### NAN

    public static final String NAN

See Also:
  Constant Field Values

### NORMALIZATION_FORM

    public static final String NORMALIZATION_FORM

See Also:
  Constant Field Values

### OMIT_XML_DECLARATION

    public static final String OMIT_XML_DECLARATION

See Also:
  Constant Field Values

### ON_MULTIPLE_MATCH

    public static final String ON_MULTIPLE_MATCH

See Also:
  Constant Field Values

### ON_NO_MATCH

    public static final String ON_NO_MATCH

See Also:
  Constant Field Values

### ORDER

    public static final String ORDER

See Also:
  Constant Field Values

### ORDINAL

    public static final String ORDINAL

See Also:
  Constant Field Values

### OUTPUT_VERSION

    public static final String OUTPUT_VERSION

See Also:
  Constant Field Values

### OVERRIDE

    public static final String OVERRIDE

See Also:
  Constant Field Values

### PATTERN_SEPARATOR

    public static final String PATTERN_SEPARATOR

See Also:
  Constant Field Values

### PERCENT

    public static final String PERCENT

See Also:
  Constant Field Values

### PER_MILLE

    public static final String PER_MILLE

See Also:
  Constant Field Values

### PRIORITY

    public static final String PRIORITY

See Also:
  Constant Field Values

### REGEX

    public static final String REGEX

See Also:
  Constant Field Values

### REQUIRED

    public static final String REQUIRED

See Also:
  Constant Field Values

### RESULT_PREFIX

    public static final String RESULT_PREFIX

See Also:
  Constant Field Values

### RULES

    public static final String RULES

See Also:
  Constant Field Values

### SCHEMA_LOCATION

    public static final String SCHEMA_LOCATION

See Also:
  Constant Field Values

### SELECT

    public static final String SELECT

See Also:
  Constant Field Values

### SEPARATOR

    public static final String SEPARATOR

See Also:
  Constant Field Values

### SRC

    public static final String SRC

See Also:
  Constant Field Values

### STABLE

    public static final String STABLE

See Also:
  Constant Field Values

### STANDALONE

    public static final String STANDALONE

See Also:
  Constant Field Values

### STREAMABLE

    public static final String STREAMABLE

See Also:
  Constant Field Values

### STRENGTH

    public static final String STRENGTH

See Also:
  Constant Field Values

### STRING

    public static final String STRING

See Also:
  Constant Field Values

### STYLESHEET_PREFIX

    public static final String STYLESHEET_PREFIX

See Also:
  Constant Field Values

### TERMINATE

    public static final String TERMINATE

See Also:
  Constant Field Values

### TEST

    public static final String TEST

See Also:
  Constant Field Values

### TUNNEL

    public static final String TUNNEL

See Also:
  Constant Field Values

### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

### UNDECLARE_PREFIXES

    public static final String UNDECLARE_PREFIXES

See Also:
  Constant Field Values

### USE

    public static final String USE

See Also:
  Constant Field Values

### USE_ATTRIBUTE_SETS

    public static final String USE_ATTRIBUTE_SETS

See Also:
  Constant Field Values

### USE_CHARACTER_MAPS

    public static final String USE_CHARACTER_MAPS

See Also:
  Constant Field Values

### USE_WHEN

    public static final String USE_WHEN

See Also:
  Constant Field Values

### VALIDATION

    public static final String VALIDATION

See Also:
  Constant Field Values

### VALUE

    public static final String VALUE

See Also:
  Constant Field Values

### VERSION

    public static final String VERSION

See Also:
  Constant Field Values

### WARNING_ON_MULTIPLE_MATCH

    public static final String WARNING_ON_MULTIPLE_MATCH

See Also:
  Constant Field Values

### WARNING_ON_NO_MATCH

    public static final String WARNING_ON_NO_MATCH

See Also:
  Constant Field Values

### XPATH_DEFAULT_NAMESPACE

    public static final String XPATH_DEFAULT_NAMESPACE

See Also:
  Constant Field Values

### ZERO_DIGIT

    public static final String ZERO_DIGIT

See Also:
  Constant Field Values

### XS_STRING

    public static final int XS_STRING

See Also:
  Constant Field Values

### XS_BOOLEAN

    public static final int XS_BOOLEAN

See Also:
  Constant Field Values

### XS_DECIMAL

    public static final int XS_DECIMAL

See Also:
  Constant Field Values

### XS_FLOAT

    public static final int XS_FLOAT

See Also:
  Constant Field Values

### XS_DOUBLE

    public static final int XS_DOUBLE

See Also:
  Constant Field Values

### XS_DURATION

    public static final int XS_DURATION

See Also:
  Constant Field Values

### XS_DATE_TIME

    public static final int XS_DATE_TIME

See Also:
  Constant Field Values

### XS_TIME

    public static final int XS_TIME

See Also:
  Constant Field Values

### XS_DATE

    public static final int XS_DATE

See Also:
  Constant Field Values

### XS_G_YEAR_MONTH

    public static final int XS_G_YEAR_MONTH

See Also:
  Constant Field Values

### XS_G_YEAR

    public static final int XS_G_YEAR

See Also:
  Constant Field Values

### XS_G_MONTH_DAY

    public static final int XS_G_MONTH_DAY

See Also:
  Constant Field Values

### XS_G_DAY

    public static final int XS_G_DAY

See Also:
  Constant Field Values

### XS_G_MONTH

    public static final int XS_G_MONTH

See Also:
  Constant Field Values

### XS_HEX_BINARY

    public static final int XS_HEX_BINARY

See Also:
  Constant Field Values

### XS_BASE64_BINARY

    public static final int XS_BASE64_BINARY

See Also:
  Constant Field Values

### XS_ANY_URI

    public static final int XS_ANY_URI

See Also:
  Constant Field Values

### XS_QNAME

    public static final int XS_QNAME

See Also:
  Constant Field Values

### XS_NOTATION

    public static final int XS_NOTATION

See Also:
  Constant Field Values

### XS_INTEGER

    public static final int XS_INTEGER

See Also:
  Constant Field Values

### XS_NON_POSITIVE_INTEGER

    public static final int XS_NON_POSITIVE_INTEGER

See Also:
  Constant Field Values

### XS_NEGATIVE_INTEGER

    public static final int XS_NEGATIVE_INTEGER

See Also:
  Constant Field Values

### XS_LONG

    public static final int XS_LONG

See Also:
  Constant Field Values

### XS_INT

    public static final int XS_INT

See Also:
  Constant Field Values

### XS_SHORT

    public static final int XS_SHORT

See Also:
  Constant Field Values

### XS_BYTE

    public static final int XS_BYTE

See Also:
  Constant Field Values

### XS_NON_NEGATIVE_INTEGER

    public static final int XS_NON_NEGATIVE_INTEGER

See Also:
  Constant Field Values

### XS_POSITIVE_INTEGER

    public static final int XS_POSITIVE_INTEGER

See Also:
  Constant Field Values

### XS_UNSIGNED_LONG

    public static final int XS_UNSIGNED_LONG

See Also:
  Constant Field Values

### XS_UNSIGNED_INT

    public static final int XS_UNSIGNED_INT

See Also:
  Constant Field Values

### XS_UNSIGNED_SHORT

    public static final int XS_UNSIGNED_SHORT

See Also:
  Constant Field Values

### XS_UNSIGNED_BYTE

    public static final int XS_UNSIGNED_BYTE

See Also:
  Constant Field Values

### XS_NORMALIZED_STRING

    public static final int XS_NORMALIZED_STRING

See Also:
  Constant Field Values

### XS_TOKEN

    public static final int XS_TOKEN

See Also:
  Constant Field Values

### XS_LANGUAGE

    public static final int XS_LANGUAGE

See Also:
  Constant Field Values

### XS_NMTOKEN

    public static final int XS_NMTOKEN

See Also:
  Constant Field Values

### XS_NMTOKENS

    public static final int XS_NMTOKENS

See Also:
  Constant Field Values

### XS_NAME

    public static final int XS_NAME

See Also:
  Constant Field Values

### XS_NCNAME

    public static final int XS_NCNAME

See Also:
  Constant Field Values

### XS_ID

    public static final int XS_ID

See Also:
  Constant Field Values

### XS_IDREF

    public static final int XS_IDREF

See Also:
  Constant Field Values

### XS_IDREFS

    public static final int XS_IDREFS

See Also:
  Constant Field Values

### XS_ENTITY

    public static final int XS_ENTITY

See Also:
  Constant Field Values

### XS_ENTITIES

    public static final int XS_ENTITIES

See Also:
  Constant Field Values

### XS_DATE_TIME_STAMP

    public static final int XS_DATE_TIME_STAMP

See Also:
  Constant Field Values

### XS_ANY_TYPE

    public static final int XS_ANY_TYPE

See Also:
  Constant Field Values

### XS_ANY_SIMPLE_TYPE

    public static final int XS_ANY_SIMPLE_TYPE

See Also:
  Constant Field Values

### XS_INVALID_NAME

    public static final int XS_INVALID_NAME

See Also:
  Constant Field Values

### XS_ERROR

    public static final int XS_ERROR

See Also:
  Constant Field Values

### XS_ALL

    public static final int XS_ALL

See Also:
  Constant Field Values

### XS_ALTERNATIVE

    public static final int XS_ALTERNATIVE

See Also:
  Constant Field Values

### XS_ANNOTATION

    public static final int XS_ANNOTATION

See Also:
  Constant Field Values

### XS_ANY

    public static final int XS_ANY

See Also:
  Constant Field Values

### XS_ANY_ATTRIBUTE

    public static final int XS_ANY_ATTRIBUTE

See Also:
  Constant Field Values

### XS_APPINFO

    public static final int XS_APPINFO

See Also:
  Constant Field Values

### XS_ASSERT

    public static final int XS_ASSERT

See Also:
  Constant Field Values

### XS_ASSERTION

    public static final int XS_ASSERTION

See Also:
  Constant Field Values

### XS_ATTRIBUTE

    public static final int XS_ATTRIBUTE

See Also:
  Constant Field Values

### XS_ATTRIBUTE_GROUP

    public static final int XS_ATTRIBUTE_GROUP

See Also:
  Constant Field Values

### XS_CHOICE

    public static final int XS_CHOICE

See Also:
  Constant Field Values

### XS_COMPLEX_CONTENT

    public static final int XS_COMPLEX_CONTENT

See Also:
  Constant Field Values

### XS_COMPLEX_TYPE

    public static final int XS_COMPLEX_TYPE

See Also:
  Constant Field Values

### XS_DEFAULT_OPEN_CONTENT

    public static final int XS_DEFAULT_OPEN_CONTENT

See Also:
  Constant Field Values

### XS_DOCUMENTATION

    public static final int XS_DOCUMENTATION

See Also:
  Constant Field Values

### XS_ELEMENT

    public static final int XS_ELEMENT

See Also:
  Constant Field Values

### XS_ENUMERATION

    public static final int XS_ENUMERATION

See Also:
  Constant Field Values

### XS_EXTENSION

    public static final int XS_EXTENSION

See Also:
  Constant Field Values

### XS_FIELD

    public static final int XS_FIELD

See Also:
  Constant Field Values

### XS_FRACTION_DIGITS

    public static final int XS_FRACTION_DIGITS

See Also:
  Constant Field Values

### XS_GROUP

    public static final int XS_GROUP

See Also:
  Constant Field Values

### XS_IMPORT

    public static final int XS_IMPORT

See Also:
  Constant Field Values

### XS_INCLUDE

    public static final int XS_INCLUDE

See Also:
  Constant Field Values

### XS_KEY

    public static final int XS_KEY

See Also:
  Constant Field Values

### XS_KEYREF

    public static final int XS_KEYREF

See Also:
  Constant Field Values

### XS_LENGTH

    public static final int XS_LENGTH

See Also:
  Constant Field Values

### XS_LIST

    public static final int XS_LIST

See Also:
  Constant Field Values

### XS_MAX_EXCLUSIVE

    public static final int XS_MAX_EXCLUSIVE

See Also:
  Constant Field Values

### XS_MAX_INCLUSIVE

    public static final int XS_MAX_INCLUSIVE

See Also:
  Constant Field Values

### XS_MAX_LENGTH

    public static final int XS_MAX_LENGTH

See Also:
  Constant Field Values

### XS_MAX_SCALE

    public static final int XS_MAX_SCALE

See Also:
  Constant Field Values

### XS_MIN_EXCLUSIVE

    public static final int XS_MIN_EXCLUSIVE

See Also:
  Constant Field Values

### XS_MIN_INCLUSIVE

    public static final int XS_MIN_INCLUSIVE

See Also:
  Constant Field Values

### XS_MIN_LENGTH

    public static final int XS_MIN_LENGTH

See Also:
  Constant Field Values

### XS_MIN_SCALE

    public static final int XS_MIN_SCALE

See Also:
  Constant Field Values

### XS_notation

    public static final int XS_notation

See Also:
  Constant Field Values

### XS_OPEN_CONTENT

    public static final int XS_OPEN_CONTENT

See Also:
  Constant Field Values

### XS_OVERRIDE

    public static final int XS_OVERRIDE

See Also:
  Constant Field Values

### XS_PATTERN

    public static final int XS_PATTERN

See Also:
  Constant Field Values

### XS_REDEFINE

    public static final int XS_REDEFINE

See Also:
  Constant Field Values

### XS_RESTRICTION

    public static final int XS_RESTRICTION

See Also:
  Constant Field Values

### XS_SCHEMA

    public static final int XS_SCHEMA

See Also:
  Constant Field Values

### XS_SELECTOR

    public static final int XS_SELECTOR

See Also:
  Constant Field Values

### XS_SEQUENCE

    public static final int XS_SEQUENCE

See Also:
  Constant Field Values

### XS_SIMPLE_CONTENT

    public static final int XS_SIMPLE_CONTENT

See Also:
  Constant Field Values

### XS_SIMPLE_TYPE

    public static final int XS_SIMPLE_TYPE

See Also:
  Constant Field Values

### XS_EXPLICIT_TIMEZONE

    public static final int XS_EXPLICIT_TIMEZONE

See Also:
  Constant Field Values

### XS_TOTAL_DIGITS

    public static final int XS_TOTAL_DIGITS

See Also:
  Constant Field Values

### XS_UNION

    public static final int XS_UNION

See Also:
  Constant Field Values

### XS_UNIQUE

    public static final int XS_UNIQUE

See Also:
  Constant Field Values

### XS_WHITE_SPACE

    public static final int XS_WHITE_SPACE

See Also:
  Constant Field Values

### XS_UNTYPED

    public static final int XS_UNTYPED

See Also:
  Constant Field Values

### XS_UNTYPED_ATOMIC

    public static final int XS_UNTYPED_ATOMIC

See Also:
  Constant Field Values

### XS_ANY_ATOMIC_TYPE

    public static final int XS_ANY_ATOMIC_TYPE

See Also:
  Constant Field Values

### XS_YEAR_MONTH_DURATION

    public static final int XS_YEAR_MONTH_DURATION

See Also:
  Constant Field Values

### XS_DAY_TIME_DURATION

    public static final int XS_DAY_TIME_DURATION

See Also:
  Constant Field Values

### XS_NUMERIC

    public static final int XS_NUMERIC

See Also:
  Constant Field Values

### XSI_TYPE

    public static final int XSI_TYPE

See Also:
  Constant Field Values

### XSI_NIL

    public static final int XSI_NIL

See Also:
  Constant Field Values

### XSI_SCHEMA_LOCATION

    public static final int XSI_SCHEMA_LOCATION

See Also:
  Constant Field Values

### XSI_NO_NAMESPACE_SCHEMA_LOCATION

    public static final int XSI_NO_NAMESPACE_SCHEMA_LOCATION

See Also:
  Constant Field Values

### XSI_SCHEMA_LOCATION_TYPE

    public static final int XSI_SCHEMA_LOCATION_TYPE

See Also:
  Constant Field Values

### SCM_SCHEMA

    public static final int SCM_SCHEMA

See Also:
  Constant Field Values

### SCM_ELEMENT_DECLARATION

    public static final int SCM_ELEMENT_DECLARATION

See Also:
  Constant Field Values

### SCM_ATTRIBUTE_DECLARATION

    public static final int SCM_ATTRIBUTE_DECLARATION

See Also:
  Constant Field Values

### SCM_COMPLEX_TYPE_DEFINITION

    public static final int SCM_COMPLEX_TYPE_DEFINITION

See Also:
  Constant Field Values

### SCM_SIMPLE_TYPE_DEFINITION

    public static final int SCM_SIMPLE_TYPE_DEFINITION

See Also:
  Constant Field Values

### SCM_ATTRIBUTE_GROUP_DECLARATION

    public static final int SCM_ATTRIBUTE_GROUP_DECLARATION

See Also:
  Constant Field Values

### SCM_MODEL_GROUP_DECLARATION

    public static final int SCM_MODEL_GROUP_DECLARATION

See Also:
  Constant Field Values

### SCM_NOTATION_DECLARATION

    public static final int SCM_NOTATION_DECLARATION

See Also:
  Constant Field Values

### SCM_ANNOTATION

    public static final int SCM_ANNOTATION

See Also:
  Constant Field Values

### SCM_NAME

    public static final int SCM_NAME

See Also:
  Constant Field Values

### SCM_TARGET_NAMESPACE

    public static final int SCM_TARGET_NAMESPACE

See Also:
  Constant Field Values

Method Detail

### getFingerprint

    public static int getFingerprint(String uri,
                                     String localName)

  Get the fingerprint of a system-defined name, from its URI and local name

  Parameters:
    `uri` - the namespace URI
    `localName` - the local part of the name
  Returns:
    the standard fingerprint, or -1 if this is not a built-in name

### getLocalName

    public static String getLocalName(int fingerprint)

  Get the local part of a system-defined name

  Parameters:
    `fingerprint` - the fingerprint of the name
  Returns:
    the local part of the name

### getURI

    public static String getURI(int fingerprint)

  Get the namespace URI part of a system-defined name

  Parameters:
    `fingerprint` - the fingerprint of the name
  Returns:
    the namespace URI part of the name
  Throws:
    `IllegalArgumentException` - if the fingerprint does not define a known name

### getURICode

    public static short getURICode(int fingerprint)

  Get the namespace URI part of a system-defined name as a URI code

  Parameters:
    `fingerprint` - the fingerprint of the name
  Returns:
    the namespace URI part of the name, as a URI code

### getClarkName

    public static String getClarkName(int fingerprint)

  Get the Clark form of a system-defined name, given its name code or fingerprint

  Parameters:
    `fingerprint` - the fingerprint of the name
  Returns:
    the local name if the name is in the null namespace, or "{uri}local" otherwise. The name is always interned.

### getPrefix

    public static String getPrefix(int fingerprint)

  Get the conventional prefix of a system-defined name

  Parameters:
    `fingerprint` - the fingerprint of the name
  Returns:
    the conventional prefix of the name

### getDisplayName

    public static String getDisplayName(int fingerprint)

  Get the lexical display form of a system-defined name

  Parameters:
    `fingerprint` - the fingerprint of the name
  Returns:
    the lexical display form of the name, using a conventional prefix

### getStructuredQName

    public static StructuredQName getStructuredQName(int fingerprint)

  Get a StructuredQName representing a system-defined name

  Parameters:
    `fingerprint` - the fingerprint of the name
  Returns:
    a StructuredQName representing the system-defined name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.